Subject: Re: bug#26006: [Website] Integral update proposal

From: sirgazil <[email-masked]>
Date: Wed, 14 Jun 2017 15:36:25 -0500

On 13/06/17 17:08, Ludovic Courtès wrote:
> Hi sirgazil,
>
> It’s always a pleasure to hear from you.  :-)

Hi, glad to hear that :)

> sirgazil <[email-masked]> skribis:
>
>> I have an incomplete implementation
>> (https://bitbucket.org/sirgazil/guixsd-website) of a static website that
>> includes the features illustrated in the mockups (the features that fit
>> in a static website).
> I’ve just built the web site and I like it!  The flat buttons look nice,
> the front page looks cleaner, “GuixSD and GNU Guix in your field” sounds
> like a good idea, etc.  I really like the blog part with tags and
> everything.

Great!

>
> I found it a little bit confusing that talks and papers now appear as if
> they were blog posts, but after all it’s probably better to have it this
> way, especially since tags allow people to find them more easily I guess.
>
> The packages pages look better than what we have (minus the loss of the
> JS code to display the build status ;-)).

About the JS, I couldn't figured out exactly how it works, so that I
could adapt it to the new page structure. Additionally, there is the
problem that the JS looks for packages in the DOM by id, and package ids
are not unique, which confuses me. Also, using duplicated id attributes
is non-valid HTML.

>
>> Compared to the current website, this code has a different organization
>> (see the "Framework" section below). I'm sending this message because I
>> think this is as far as I can go with the implementation (found some
>> problems I haven't figured out how to solve, and I'm not skilled enough
>> to manipulate packages).
>>
>> This implementation is missing the following parts:
>>
>> 1. New screenshots
>> 2. Packages pages
>>    1. Package detail page
>>    2. Packages issues page
>>    3. Packages reproducibility page
>>    4. Packages JSON file
>>
>> To complete part (1) someone could provide the screenshots (ideally
>> 1920×1080 px) in JPG and add them to the "static/media/img" directory,
>> and update the list of screenshots in "apps/base/data.scm".
>>
>> To complete (2), there are some package related procedures missing
>> (https://bitbucket.org/sirgazil/guixsd-website/issues?status=new&status=open).
>> I tried to use the code that is already in the current website, but
>> couldn't figure things out.
>>
>> To complete part (2.1), there is an issue to solve: package pages go in
>> paths like "/packages/blender-3.0/", but running "haunt build" with
>> pages on paths that include "." will render the pages with all the HTML
>> content inside a pre element. David, the maintainer of Haunt, does not
>> know yet why this would happen. If this issue is solved, there are
>> already helper builders in "apps/packages/builders.scm" to generate all
>> the pages.
>>
>> So, for now, the packages pages are working as in the current website,
>> but not using tables (to make it easier to adapt the page to several
>> screen widths), and packages are distributed in numbered pages to avoid
>> big HTML pages that take too long to load.
>>
>> Also, the JavaScript code that gets package build status is not
>> integrated (couldn't figure this one out either).
>>
>> To complete (2.2), (2.3), and (2.4) someone could add helper builders to
>> the packages app, and recycle the related SXML pages already used in the
>> current website.
> Sounds good.  I haven’t looked at this nor have I looked at the new
> framework, but I’ll hopefully comment soonish.  Hopefully David can help
> for the Haunt part, then people can provide screenshots, and we’ll
> figure out the issues with packages pages somehow.  :-)

Sure, no rush.

> I think there are a few little changes that were made in the current
> site that were lost in the process.  For example, on the front page, we
> now have “DOWNLOAD v0.13.0” instead of “TEST v0.13.0”.  I’ve also seen
> that links to the package definitions at git.sv.gnu.org from the package
> pages no longer include the commit.  Anyway, these are really tiny
> issues but we should pay attention to them when we migrate.

I updated the download button.

As for the commit in the links, I tried to add it, but couldn't. I
implemented this website using the Guix API as a user (installing guix
with guix), but it seems that the code to generate the commit part in
the links requires that the guix in the GUILE_LOAD_PATH be a git
repository, right? Since it uses "git describe" on "guix/config.scm".

> Anyway, a big thank you for all this work!  Really impressive work
> once again.
>
> Ludo’.

Thank you for the kind words. I'm glad I can help a bit.

-- 
https://sirgazil.bitbucket.io/